"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const dal_generic_store_1 = require("./../dal.generic.store");
class LastFetchStore {
    static set(value) {
        return __awaiter(this, void 0, void 0, function* () {
            let result = yield dal_generic_store_1.GenericStore.createOrUpdate(this.storeName, { target: LastFetchStore.target }, { target: LastFetchStore.target, date: value });
            return result;
        });
    }
    static get() {
        return __awaiter(this, void 0, void 0, function* () {
            let result = yield dal_generic_store_1.GenericStore.getBy(this.storeName, { target: LastFetchStore.target }, {});
            return result[0];
        });
    }
}
LastFetchStore.storeName = 'lastfetch';
LastFetchStore.target = 'onlineplayers';
exports.LastFetchStore = LastFetchStore;
//# sourceMappingURL=last.fetch.store.js.map