export declare abstract class GenericStore {
    private static connect();
    static createOrUpdate(collectionName: string, term: object, value: object): Promise<boolean>;
    static clearAndCreateMany(collectionName: string, term: object, values: Array<object>): Promise<boolean>;
    static clearAllAndCreateMany(collectionName: string, values: Array<object>): Promise<boolean>;
    static getAll(collectionName: string): Promise<Array<object>>;
    static getBy(collectionName: string, term: object, sort: object): Promise<Array<object>>;
    static remove(collectionName: string, term: object): Promise<boolean>;
}
