import { WatchedPlayer } from './../../../../types/persisted.types';
export declare abstract class PlayerWatchStore {
    static storeName: string;
    static set(guildId: string, name: string, watchedPlayer: WatchedPlayer): Promise<boolean>;
    static getAll(): Promise<Array<WatchedPlayer>>;
    static get(guildId: string): Promise<Array<WatchedPlayer>>;
    static remove(guildId: string, name: string): Promise<boolean>;
}
