import * as PersistedTypes from './persisted.types';
export declare abstract class PersistedTypesValidation {
    static IsActivityCacheItem(obj: any): obj is PersistedTypes.ActivityCacheItem;
    static IsGuildActivityCache(obj: any): obj is PersistedTypes.GuildActivityCache;
    static IsGuildConfiguration(obj: any): obj is PersistedTypes.GuildConfiguration;
    static IsLastFetch(obj: any): obj is PersistedTypes.LastFetch;
    static IsOnlinePlayer(obj: any): obj is PersistedTypes.OnlinePlayer;
    static IsWatchedFaction(obj: any): obj is PersistedTypes.WatchedFaction;
    static IsWatchedPlayer(obj: any): obj is PersistedTypes.WatchedPlayer;
    static IsWatchedRegion(obj: any): obj is PersistedTypes.WatchedRegion;
    static IsSession(obj: any): obj is PersistedTypes.Session;
    static IsStarSystem(obj: any): obj is PersistedTypes.StarSystem;
}
