export interface DalConfig {
    srvIPAddress: string;
    mongodbPort: number;
    mainDb: string;
    mainDbUsername: string;
    mainDbPassword: string;
}
export declare abstract class DalConfiguration {
    static url: string;
    static database: string;
    static username: string;
    static password: string;
    static Setup(config: DalConfig): void;
    static Verify(): void;
    static SwitchDatabase(database: string, username: string, password: string): void;
}
