import { GuildConfiguration } from './../../../../types/persisted.types';
export declare abstract class GuildsStore {
    static storeName: string;
    static set(guildSettings: GuildConfiguration): Promise<boolean>;
    static getAll(): Promise<Array<GuildConfiguration>>;
    static get(guildId: string): Promise<GuildConfiguration>;
    static remove(guildId: string): Promise<boolean>;
}
